NEW_INODE(9)

NAME
new_inode - obtain an inode

SYNOPSIS

struct inode * new_inode(struct super_block * sb);

ARGUMENTS

sb
    superblock

DESCRIPTION

Allocates a new inode for given superblock. The default gfp_mask for allocations related to inode->i_mapping is GFP_HIGHUSER_MOVABLE. If HIGHMEM pages are unsuitable or it is known that pages allocated for the page cache are not reclaimable or migratable, mapping_set_gfp_mask must be called with suitable flags on the newly created inode's mapping

COPYRIGHT